# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

@COMPONENT			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
@COMPONENT_LIBRARY		= 	-l@COMPONENT	\
					$(Behavioural_LIBRARY)	

@COMPONENT_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/@DIRECTORY/lib	\
					$(Behavioural_DIR_LIBRARY)

@COMPONENT_DEPENDENCIES		=	Behavioural_library

@COMPONENT_CLEAN        	=	Behavioural_library_clean

#-----[ Rules ]--------------------------------------------

.NOTPARALLEL			: @COMPONENT_library @COMPONENT_library_clean

@COMPONENT_library		: $(@COMPONENT_DEPENDENCIES)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/@DIRECTORY --makefile=Makefile;

@COMPONENT_library_clean	: $(@COMPONENT_CLEAN)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/@DIRECTORY --makefile=Makefile clean;
